import { FormSchema } from '@/components/Modal';
export const schemas: FormSchema[] = [
  {
    field: 'username',
    component: 'Input',
    label: '用户名',
    componentProps: {
      placeholder: '请输入用户名',
    },
  },
  {
    field: 'mobile',
    component: 'Input',
    label: '手机',
    componentProps: {
      placeholder: '请输入手机号码',
      showButton: false,
    },
  },
  {
    field: 'role',
    component: 'Select',
    label: '角色',
    componentProps: {
      placeholder: '请选择角色',
      options: [
        {
          label: '普通用户',
          value: 1,
        },
        {
          label: '推广管理员',
          value: 2,
        },
        {
          label: '发货管理员',
          value: 3,
        },
        {
          label: '财务管理员',
          value: 4,
        },
      ],
    },
  },
  {
    field: 'email',
    component: 'Input',
    label: '邮箱',
    componentProps: {
      placeholder: '请输入邮箱',
      showButton: false,
    },
  },
  {
    field: 'status',
    component: 'Select',
    label: '状态',
    componentProps: {
      placeholder: '请选择状态',
      options: [
        {
          label: '正常',
          value: '1',
        },
        {
          label: '禁用',
          value: '2',
        },
      ],
    },
  },
];
